Subject: bug#45705: closed (Re: bug#45751: [feature/native-comp] emacs keeps running 100% of CPU)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 28 Jan 2021 08:02:02 +0000

Your bug report

#45751: [feature/native-comp] Excessive memory consumption on windows 10

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
45751: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=45751
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#45751: [feature/native-comp] emacs keeps running 100% of CPU
From: Andrea Corallo <[email-masked]>
To: akrl--- via "Bug reports for GNU Emacs, the Swiss army knife of text editors" <[email-masked]>
Cc: Édouard Debry <[email-masked]>, [email-masked]
Date: Thu, 28 Jan 2021 08:01:19 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

akrl--- via "Bug reports for GNU Emacs, the Swiss army knife of text
editors" <[email-masked]> writes:

> Édouard Debry <[email-masked]> writes:
>
>> I noticed that when launching emacs on linux (debian buster),
>> it keeps on running 100% of the CPU and seems to gradually eat all
>> memory, approximately 1-2% every minute.
>>
>> It seems related to native compiling. In the
>> *Async-native-compile-log* I read :
>>
>> <=============================>
>> Compiling
>> /home/edouard/.emacs.d/elpa/color-theme-sanityinc-solarized-20200805.603/color-theme-sanityinc-solarized.el...
>
> Hi Édouard,
>
> with 0ffb3dfaa4 I'm now able to compile
> color-theme-sanityinc-solarized.el.
>
> Could you check works for you too?

As for me is working and no feedback was provided I'm closing this.

Happy to re-open in case.

Thanks!

  Andrea

Subject: [feature/native-comp] Excessive memory consumption on windows 10
From: Édouard Debry <[email-masked]>
To: [email-masked]
Date: Wed, 06 Jan 2021 21:48:37 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

On windows 10, I noticed that emacs could use a lot of memory, up 
to 6Go and
sometimes more. The memory consumption goes up and down from time 
to time while
I am not running any specific program in emacs, apart `lsp-java`

As my personal computer has 16Go of RAM, I can afford 
it. Unfortunately, my work
computer has much less and the whole compute completely freezes at 
one point
when using emacs.

I did not notice that behavior on linux. I do not know if the 
master branch has
the same problem. What could be the problem ?